faxrm(1)

NAME
faxrm - remove fax jobs queued by faxspool(1)

SYNOPSIS
faxrm [-i] [job-ids...]

DESCRIPTION
Remove job(s) from the fax queue set up by faxspool(1).

faxrm removes queued fax jobs. Call with a list of job-IDs to remove specific jobs. Call with no job IDs to be asked interactively about all jobs you own (if run by root, all jobs). For job-id, use the strings returned by faxq(1) (e.g. F000015), without the ``/JOB'' extention.

If you are not the owner of the fax job (as per the 'user xyz' statement inside the JOB file), you are not allowed to remove the fax job. Only root is permitted to remove another user's faxes.

If the job is locked (most likely because sendfax(8) is active sending it), faxrm doesn't attempt to remove it. Instead, it prints a warning message on stderr and goes on to the next job.

EXAMPLES

faxrm F000005 F000033

OPTIONS

-i  (interactive mode) Tells faxrm to ask for confirmation before removing the job (UNIMPLEMENTED).

BUGS
faxrm doesn't return diagnostic exit codes yet.

SEE ALSO
faxrunq(1), faxrunq(8), faxspool(1), faxq(1), faxqueue(5)

AUTHOR
faxrm is Copyright (C) 1993-2002 by Gert Doering, <gert@greenie.muc.de>.